# Return email account's client settings

This function retrieves an email account's client settings.

Important:

When you disable the Receive Mail role, the system disables this function.

Endpoint: GET /Email/get_client_settings
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `account` (string)
    The email address for which to send client settings.

Note:

This parameter defaults to the system default email account.
    Example: "username@example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_client_settings"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (object)

  - `result.data.account` (string)
    The account's email address.
    Example: "username@example.com"

  - `result.data.activesync_available` (integer)
    Whether the account supports ActiveSync.
* 1 — Supported.
* 0 — Not supported.
    Enum: 1, 0

  - `result.data.activesync_host` (string)
    The account's ActiveSync hostname.

This return only appears if activesync_available is 1.
    Example: "mail.example.com"

  - `result.data.activesync_port` (integer)
    The account's ActiveSync SSL/TLS port.

This return only appears if activesync_available is 1.
    Example: 2091

  - `result.data.activesync_username` (string)
    The account's ActiveSync username.

This return only appears if activesync_available is 1.
    Example: "username@example.com"

  - `result.data.display` (string)
    The account's display name.
    Example: "username@example.com"

  - `result.data.domain` (string)
    The account's domain name.
    Example: "domain.com"

  - `result.data.from_archiving` (integer)
    Whether the account is a mail archive.
* 1 — The account is a mail archive.
* 0 — The account is not a mail archive.
    Enum: 1, 0

  - `result.data.has_plaintext_authentication` (integer)
    Whether the account supports plaintext authentication.

* 1 — Supported.
* 0 — Not supported.
    Enum: 1, 0

  - `result.data.inbox_host` (string)
    The account's hostname.
    Example: "mail.example.com"

  - `result.data.inbox_insecure_port` (integer)
    The account's insecure inbound port.
    Example: 143

  - `result.data.inbox_port` (integer)
    The account's secure inbound port.
    Example: 993

  - `result.data.inbox_service` (string)
    The service type that the account uses.
* imap
* pop
    Enum: "imap", "pop"

  - `result.data.inbox_username` (string)
    The account's username.
    Example: "username@example.com"

  - `result.data.mail_domain` (string)
    The account's mail hostname.
    Example: "mail.example.com"

  - `result.data.smtp_host` (string)
    The account's outbound SMTP hostname.
    Example: "mail.example.com"

  - `result.data.smtp_insecure_port` (integer)
    The account's insecure outbound SMTP port.
    Example: 25

  - `result.data.smtp_port` (integer)
    The account's secure outbound SMTP port.
    Example: 465

  - `result.data.smtp_username` (string)
    The account's SMTP username.
    Example: "username@example.com"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


